
	var via = parent;
	var write_via = "parent";
	var iLoc= self.location.href;


	function playSel(){via.wmpStop();via.startExobud();}
	function refreshPl(){ self.location=iLoc;}
	function chkSel(){via.chkAllSel();refreshPl();}
	function chkDesel(){via.chkAllDesel();refreshPl();}

	function dspList(n){

		var elmABlock= 10;
		var totElm = via.intMmCnt;
		var totBlock= Math.floor((via.intMmCnt -1) / elmABlock)+1;
		var cblock;
		if(n==null){cblock=1;}
		else{cblock=n;}
		var seed;
		var limit;
		if(cblock < totBlock){seed= elmABlock * (cblock-1); limit =  cblock*elmABlock -1}
		else{seed=elmABlock * (cblock-1); limit= totElm-1;}

	if(via.intMmCnt >0 ){
		var list_num=0;
		mmList.innerHTML='<p>';
		pageList.innerHTML=' &nbsp; ';
		for (var i=seed; i <= limit; i++)
		{	list_num = i + 1;
			if(via.objMmInfo[i].selMm=="t"){elm='<input type=checkbox  style="cursor:hand;" onClick='+ write_via + '.chkItemSel('+ i +'); checked>' ;}
			else{elm = '<input type=checkbox style="cursor:hand;" onClick='+ write_via + '.chkItemSel('+ i +');>' ;}
			elm = elm + '&nbsp;' + list_num + '. ' 
			elm = elm + '<a href=javascript:' + write_via + '.selPlPlay(' + i + ');'
			elm = elm + ' onclick=\"this.blur();\">'
			if(via.objMmInfo[i].mmTit =="nAnT"){ elm = elm + "未指定媒体标题(等待自动取得媒体信息)";}
			else{elm = elm + via.objMmInfo[i].mmTit;}
			elm= elm+  '</a><br>';
			mmList.innerHTML=mmList.innerHTML+elm;
		}
		for(var j=1; j<=totBlock; j++){
			page='<a href=javascript:dspList('+j+')>['+j+']<a> ';
			pageList.innerHTML=pageList.innerHTML+page;
		}



		pageInfo.innerHTML='页次: '+cblock+ '  / '+ totBlock;
	}
	else { mmList.innerHTML='<div align=center>Web player </div>'; }
	 }



// ExoBUD⑩ MP(II) List Popping Up
function openPlaylist_i(layername)
{
	if (parent.opener)
	{
		if (parent.document.getElementById(layername).style.visibility == 'visible')
			{
				parent.document.getElementById(layername).style.visibility = 'hidden';
				parent.resizeTo(255,138);
			}
		else
			{
				parent.document.getElementById(layername).style.visibility = 'visible';
				parent.resizeTo(255,388);
			}
	}
	else
	{
		if (parent.document.getElementById(layername).style.visibility == 'visible') 
			parent.document.getElementById(layername).style.visibility = 'hidden';
		else
			parent.document.getElementById(layername).style.visibility = 'visible';
	}
}

-->